# OMpmsm Class Reference
[PMSM]

Observation model for PMSM drive and its derivative with respect to . More...

`#include <pmsm.h>`

Inheritance diagram for OMpmsm:

[legend]
Collaboration diagram for OMpmsm:

[legend]

List of all members.

## Public Member Functions
vec | eval (const vec &x0, const vec &u0)
| Evaluates .
void | dfdx_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
vec | eval (const vec &cond)
| Evaluates (VS: Do we really need common eval? ).
virtual void | dfdu_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
int | _dimx () const
| access function
int | _dimu () const
| access function
virtual void | condition (const vec &val)
| function substitutes given value into an appropriate position
int | _dimy () const
| access function
## Protected Attributes
RV | rvx
| Indentifier of the first rv.
RV | rvu
| Indentifier of the second rv.
int | dimx
| cache for rvx.count()
int | dimu
| cache for rvu.count()
int | dimy
| Length of the output vector.

## Detailed Description

Observation model for PMSM drive and its derivative with respect to .

## Member Function Documentation

void OMpmsm::dfdx_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented from diffbifn.

virtual void diffbifn::dfdu_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual, inherited]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented in bilinfn, IMk1, IMpmsm, and IMpmsm2o.

The documentation for this class was generated from the following file:

- work/git/mixpp/pmsm/pmsm.h